within FluidDissipation.Utilities.Functions.General;
function Stepsmoother_der "derivative of continouus interpolation for x"

  extends Modelica.Icons.Function;
  input Real func "input for that result = 100%";
  input Real nofunc "input for that result = 0%";
  input Real x "input for interpolation";
  input Real dfunc "derivative of func";
  input Real dnofunc "derivative of nofunc";
  input Real dx "derivative of x";
  output Real dresult;

protected
  Real m=Modelica.Constants.pi/(func - nofunc);
  Real b=-Modelica.Constants.pi/2 - m*nofunc;

algorithm
  dresult := if x >= 0.999*(func - nofunc) + nofunc and func > nofunc or x <=
    0.999*(func - nofunc) + nofunc and nofunc > func or x <= 0.001*(func -
    nofunc) + nofunc and func > nofunc or x >= 0.001*(func - nofunc) + nofunc
     and nofunc > func then 0 else (1 - Modelica.Math.tanh(Modelica.Math.tan(m*
    x + b))^2)*(1 + Modelica.Math.tan(m*x + b)^2)*m*dx;
  annotation (smoothOrder=5);
end Stepsmoother_der;
